#!/bin/bash

#
# Copyright (c) 2018 Cumulus Networks, Inc.  All rights reserved.
#

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing SFF Pluggables..."

# reset all QSFP ports and then disable lpmode
for i in `seq 1 32` ; do
    echo 1 > /sys/devices/pci0000:00/0000:00:0c.0/0000:04:00.0/port${i}_reset
done
sleep .1
for i in `seq 1 32` ; do
    echo 0 > /sys/devices/pci0000:00/0000:00:0c.0/0000:04:00.0/port${i}_reset
    echo 0 > /sys/devices/pci0000:00/0000:00:0c.0/0000:04:00.0/port${i}_lpmode
done

